Tasuku
ReferenceAPI referenceWorkflows

Allow or revoke public-by-link access to an artifact

Requires SUPER_USER. Artifacts are private by default.

PUT/organizations/{organization_id}/artifacts/{artifact_id}/visibility

Requires SUPER_USER. Artifacts are private by default.

Authorization

tasuku_session<token>

In: cookie

Path Parameters

organization_id*string
Length1 <= length <= 128
artifact_id*string
Length1 <= length <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organizations/string/artifacts/string/visibility" \  -H "Content-Type: application/json" \  -d '{    "is_public": true  }'
{  "data": {    "is_public": true  }}